package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ResponseDataVoGatewayQosServiceSummaryOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ResponseDataVoGatewayQosServiceSummaryOpenApiVo   {
  @JsonProperty("data")
  @Valid
  private List<GatewayQosServiceSummaryOpenApiVo> data = null;

  public ResponseDataVoGatewayQosServiceSummaryOpenApiVo data(List<GatewayQosServiceSummaryOpenApiVo> data) {
    this.data = data;
    return this;
  }

  public ResponseDataVoGatewayQosServiceSummaryOpenApiVo addDataItem(GatewayQosServiceSummaryOpenApiVo dataItem) {
    if (this.data == null) {
      this.data = new ArrayList<>();
    }
    this.data.add(dataItem);
    return this;
  }

  /**
   * Get data
   * @return data
  */
  @ApiModelProperty(value = "")

  @Valid

  public List<GatewayQosServiceSummaryOpenApiVo> getData() {
    return data;
  }

  public void setData(List<GatewayQosServiceSummaryOpenApiVo> data) {
    this.data = data;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ResponseDataVoGatewayQosServiceSummaryOpenApiVo responseDataVoGatewayQosServiceSummaryOpenApiVo = (ResponseDataVoGatewayQosServiceSummaryOpenApiVo) o;
    return Objects.equals(this.data, responseDataVoGatewayQosServiceSummaryOpenApiVo.data);
  }

  @Override
  public int hashCode() {
    return Objects.hash(data);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ResponseDataVoGatewayQosServiceSummaryOpenApiVo {\n");
    
    sb.append("    data: ").append(toIndentedString(data)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

